Subject: Re: bug#79014: 31.0.50; igc: infinite loop

From: Óscar Fuentes <[email-masked]>
Date: Mon, 14 Jul 2025 16:37:12 +0200

Gerd Möllmann <[email-masked]> writes:

> Thanks. That's a recursive call to igc_on_idle from Lisp being called
> whle it is running. Looks like something like this is needed:

Thanks Gerd. Looks like the backtrace was useful after all :-)

As I implied on my previous message, it would be useful to understand in
what circunstances a recursive call to igc_on_idle happens. More
precisely, why Emacs enters an idle state within an idle state. And how
the time used by igc_on_idle is accounted for idle timers.

Those are general questions, not addressed at you specifically.